Index: terepaima-0.4.16/moc/moc_rendertask.cpp
===================================================================
--- terepaima-0.4.16/moc/moc_rendertask.cpp	(revision 1487f05dbbaee1f4def7af3890c76efff5e0d60e)
+++ terepaima-0.4.16/moc/moc_rendertask.cpp	(revision 1f4adec359c5217a01caac08e395b35ebeb3792d)
@@ -2,5 +2,5 @@
 ** Meta object code from reading C++ file 'rendertask.h'
 **
-** Created by: The Qt Meta Object Compiler version 67 (Qt 5.7.1)
+** Created by: The Qt Meta Object Compiler version 63 (Qt 4.8.6)
 **
 ** WARNING! All changes made in this file will be lost!
@@ -8,10 +8,8 @@
 
 #include "../sources/rendertask.h"
-#include <QtCore/qbytearray.h>
-#include <QtCore/qmetatype.h>
 #if !defined(Q_MOC_OUTPUT_REVISION)
 #error "The header file 'rendertask.h' doesn't include <QObject>."
-#elif Q_MOC_OUTPUT_REVISION != 67
-#error "This file was generated using the moc from 5.7.1. It"
+#elif Q_MOC_OUTPUT_REVISION != 63
+#error "This file was generated using the moc from 4.8.6. It"
 #error "cannot be used with the include files from this version of Qt."
 #error "(The moc has changed too much.)"
@@ -19,41 +17,8 @@
 
 QT_BEGIN_MOC_NAMESPACE
-struct qt_meta_stringdata_qpdfview__RenderTask_t {
-    QByteArrayData data[13];
-    char stringdata0[114];
-};
-#define QT_MOC_LITERAL(idx, ofs, len) \
-    Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
-    qptrdiff(offsetof(qt_meta_stringdata_qpdfview__RenderTask_t, stringdata0) + ofs \
-        - idx * sizeof(QByteArrayData)) \
-    )
-static const qt_meta_stringdata_qpdfview__RenderTask_t qt_meta_stringdata_qpdfview__RenderTask = {
-    {
-QT_MOC_LITERAL(0, 0, 20), // "qpdfview::RenderTask"
-QT_MOC_LITERAL(1, 21, 8), // "finished"
-QT_MOC_LITERAL(2, 30, 0), // ""
-QT_MOC_LITERAL(3, 31, 10), // "imageReady"
-QT_MOC_LITERAL(4, 42, 11), // "RenderParam"
-QT_MOC_LITERAL(5, 54, 11), // "renderParam"
-QT_MOC_LITERAL(6, 66, 4), // "rect"
-QT_MOC_LITERAL(7, 71, 8), // "prefetch"
-QT_MOC_LITERAL(8, 80, 5), // "image"
-QT_MOC_LITERAL(9, 86, 8), // "cropRect"
-QT_MOC_LITERAL(10, 95, 5), // "start"
-QT_MOC_LITERAL(11, 101, 6), // "cancel"
-QT_MOC_LITERAL(12, 108, 5) // "force"
-
-    },
-    "qpdfview::RenderTask\0finished\0\0"
-    "imageReady\0RenderParam\0renderParam\0"
-    "rect\0prefetch\0image\0cropRect\0start\0"
-    "cancel\0force"
-};
-#undef QT_MOC_LITERAL
-
 static const uint qt_meta_data_qpdfview__RenderTask[] = {
 
  // content:
-       7,       // revision
+       6,       // revision
        0,       // classname
        0,    0, // classinfo
@@ -65,23 +30,23 @@
        2,       // signalCount
 
- // signals: name, argc, parameters, tag, flags
-       1,    0,   39,    2, 0x06 /* Public */,
-       3,    5,   40,    2, 0x06 /* Public */,
+ // signals: signature, parameters, type, tag, flags
+      22,   21,   21,   21, 0x05,
+      74,   33,   21,   21, 0x05,
 
- // slots: name, argc, parameters, tag, flags
-      10,    3,   51,    2, 0x0a /* Public */,
-      11,    1,   58,    2, 0x0a /* Public */,
-      11,    0,   61,    2, 0x2a /* Public | MethodCloned */,
-
- // signals: parameters
-    QMetaType::Void,
-    QMetaType::Void, 0x80000000 | 4, QMetaType::QRect, QMetaType::Bool, QMetaType::QImage, QMetaType::QRectF,    5,    6,    7,    8,    9,
-
- // slots: parameters
-    QMetaType::Void, 0x80000000 | 4, QMetaType::QRect, QMetaType::Bool,    5,    6,    7,
-    QMetaType::Void, QMetaType::Bool,   12,
-    QMetaType::Void,
+ // slots: signature, parameters, type, tag, flags
+     149,  123,   21,   21, 0x0a,
+     185,  179,   21,   21, 0x0a,
+     198,   21,   21,   21, 0x2a,
 
        0        // eod
+};
+
+static const char qt_meta_stringdata_qpdfview__RenderTask[] = {
+    "qpdfview::RenderTask\0\0finished()\0"
+    "renderParam,rect,prefetch,image,cropRect\0"
+    "imageReady(RenderParam,QRect,bool,QImage,QRectF)\0"
+    "renderParam,rect,prefetch\0"
+    "start(RenderParam,QRect,bool)\0force\0"
+    "cancel(bool)\0cancel()\0"
 };
 
@@ -89,6 +54,6 @@
 {
     if (_c == QMetaObject::InvokeMetaMethod) {
+        Q_ASSERT(staticMetaObject.cast(_o));
         RenderTask *_t = static_cast<RenderTask *>(_o);
-        Q_UNUSED(_t)
         switch (_id) {
         case 0: _t->finished(); break;
@@ -99,39 +64,29 @@
         default: ;
         }
-    } else if (_c == QMetaObject::IndexOfMethod) {
-        int *result = reinterpret_cast<int *>(_a[0]);
-        void **func = reinterpret_cast<void **>(_a[1]);
-        {
-            typedef void (RenderTask::*_t)();
-            if (*reinterpret_cast<_t *>(func) == static_cast<_t>(&RenderTask::finished)) {
-                *result = 0;
-                return;
-            }
-        }
-        {
-            typedef void (RenderTask::*_t)(const RenderParam & , const QRect & , bool , const QImage & , const QRectF & );
-            if (*reinterpret_cast<_t *>(func) == static_cast<_t>(&RenderTask::imageReady)) {
-                *result = 1;
-                return;
-            }
-        }
     }
 }
 
-const QMetaObject qpdfview::RenderTask::staticMetaObject = {
-    { &QObject::staticMetaObject, qt_meta_stringdata_qpdfview__RenderTask.data,
-      qt_meta_data_qpdfview__RenderTask,  qt_static_metacall, Q_NULLPTR, Q_NULLPTR}
+const QMetaObjectExtraData qpdfview::RenderTask::staticMetaObjectExtraData = {
+    0,  qt_static_metacall 
 };
 
+const QMetaObject qpdfview::RenderTask::staticMetaObject = {
+    { &QObject::staticMetaObject, qt_meta_stringdata_qpdfview__RenderTask,
+      qt_meta_data_qpdfview__RenderTask, &staticMetaObjectExtraData }
+};
+
+#ifdef Q_NO_DATA_RELOCATION
+const QMetaObject &qpdfview::RenderTask::getStaticMetaObject() { return staticMetaObject; }
+#endif //Q_NO_DATA_RELOCATION
 
 const QMetaObject *qpdfview::RenderTask::metaObject() const
 {
-    return QObject::d_ptr->metaObject ? QObject::d_ptr->dynamicMetaObject() : &staticMetaObject;
+    return QObject::d_ptr->metaObject ? QObject::d_ptr->metaObject : &staticMetaObject;
 }
 
 void *qpdfview::RenderTask::qt_metacast(const char *_clname)
 {
-    if (!_clname) return Q_NULLPTR;
-    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__RenderTask.stringdata0))
+    if (!_clname) return 0;
+    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__RenderTask))
         return static_cast<void*>(const_cast< RenderTask*>(this));
     if (!strcmp(_clname, "QRunnable"))
@@ -149,8 +104,4 @@
             qt_static_metacall(this, _c, _id, _a);
         _id -= 5;
-    } else if (_c == QMetaObject::RegisterMethodArgumentMetaType) {
-        if (_id < 5)
-            *reinterpret_cast<int*>(_a[0]) = -1;
-        _id -= 5;
     }
     return _id;
@@ -160,5 +111,5 @@
 void qpdfview::RenderTask::finished()
 {
-    QMetaObject::activate(this, &staticMetaObject, 0, Q_NULLPTR);
+    QMetaObject::activate(this, &staticMetaObject, 0, 0);
 }
 
@@ -166,5 +117,5 @@
 void qpdfview::RenderTask::imageReady(const RenderParam & _t1, const QRect & _t2, bool _t3, const QImage & _t4, const QRectF & _t5)
 {
-    void *_a[] = { Q_NULLPTR, const_cast<void*>(reinterpret_cast<const void*>(&_t1)), const_cast<void*>(reinterpret_cast<const void*>(&_t2)), const_cast<void*>(reinterpret_cast<const void*>(&_t3)), const_cast<void*>(reinterpret_cast<const void*>(&_t4)), const_cast<void*>(reinterpret_cast<const void*>(&_t5)) };
+    void *_a[] = { 0, const_cast<void*>(reinterpret_cast<const void*>(&_t1)), const_cast<void*>(reinterpret_cast<const void*>(&_t2)), const_cast<void*>(reinterpret_cast<const void*>(&_t3)), const_cast<void*>(reinterpret_cast<const void*>(&_t4)), const_cast<void*>(reinterpret_cast<const void*>(&_t5)) };
     QMetaObject::activate(this, &staticMetaObject, 1, _a);
 }
